package hu.kozadat.oaiaggregator.presentation;


import com.sun.xml.bind.marshaller.NamespacePrefixMapper;

/**
 * Created by tnagy on 2015.10.26..
 */
public class KozadatNamespacePrefixMapper extends NamespacePrefixMapper {

    public static final String KOZADAT_ALTALANOS_NAMESPACE_URI = "http://schema.einfoszab.hu/kozadat/kozadat_altalanos/";
    public static final String KOZADAT_ALTALANOS_NAMESPACE_PREFIX = "kozadat_altalanos";
    public static final String KOZADAT_JOGSZABALYTERVEZET_NAMESPACE_URI = "http://schema.einfoszab.hu/kozadat/kozadat_jogszabalytervezet/";
    public static final String KOZADAT_JOGSZABALYTERVEZET_NAMESPACE_PREFIX = "kozadat_jogszabalytervezet";
    public static final String KOZADAT_KOZLONY_NAMESPACE_URI = "http://schema.einfoszab.hu/kozadat/kozadat_kozlony/";
    public static final String KOZADAT_KOZLONY_NAMESPACE_PREFIX = "kozadat_kozlony";
    public static final String KOZADAT_TORVENYJAVASLAT_NAMESPACE_URI = "http://schema.einfoszab.hu/kozadat/kozadat_OGY_tvjavaslat/";
    public static final String KOZADAT_TORVENYJAVASLAT_NAMESPACE_PREFIX = "kozadat_OGY_tvjavaslat";
    public static final String KOZADAT_ADATBAZIS_NAMESPACE_URI = "http://schema.einfoszab.hu/kozadat/kozadat_adatbazis/";
    public static final String KOZADAT_ADATBAZIS_NAMESPACE_PREFIX = "kozadat_adatbazis";
    public static final String KOZADAT_ARCHIV_NAMESPACE_URI = "http://schema.einfoszab.hu/kozadat/kozadat_archiv/";
    public static final String KOZADAT_ARCHIV_NAMESPACE_PREFIX = "kozadat_archiv";
    public static final String DC_NAMESPACE_URI = "http://purl.org/dc/elements/1.1/";
    public static final String DC_NAMESPACE_PREFIX = "dc";


    public String getPreferredPrefix(String namespaceUri, String suggestion, boolean requirePrefix) {
        if (KOZADAT_ALTALANOS_NAMESPACE_URI.equals(namespaceUri)) {
            return KOZADAT_ALTALANOS_NAMESPACE_PREFIX;
        } else if (KOZADAT_JOGSZABALYTERVEZET_NAMESPACE_URI.equals(namespaceUri)) {
            return KOZADAT_JOGSZABALYTERVEZET_NAMESPACE_PREFIX;
        } else if (KOZADAT_KOZLONY_NAMESPACE_URI.equals(namespaceUri)) {
            return KOZADAT_KOZLONY_NAMESPACE_PREFIX;
        } else if (KOZADAT_TORVENYJAVASLAT_NAMESPACE_URI.equals(namespaceUri)) {
            return KOZADAT_TORVENYJAVASLAT_NAMESPACE_PREFIX;
        } else if (KOZADAT_ADATBAZIS_NAMESPACE_URI.equals(namespaceUri)) {
            return KOZADAT_ADATBAZIS_NAMESPACE_PREFIX;
        } else if (KOZADAT_ARCHIV_NAMESPACE_URI.equals(namespaceUri)) {
            return KOZADAT_ARCHIV_NAMESPACE_PREFIX;
        } else if (DC_NAMESPACE_URI.equals(namespaceUri)) {
            return DC_NAMESPACE_PREFIX;
        } else {
            return suggestion;
        }
    }

}
