package hu.kozadat.oaiaggregator.service.oaipmh;

import java.math.BigInteger;
import java.util.Date;
import java.util.LinkedList;
import java.util.List;

/**
 * Created by tnagy on 2015.10.14..
 */
public class ResumptionToken {

    private String key;
    private Date created;
    private Date expiration;
    private String from;
    private String metadataPrefix;
    private String set;
    private String until;
    private BigInteger cursor;
    private int page;
    private int maximumNumberOfDeliveredIdentifiers;
    private List<Long> identifiers = new LinkedList<>();

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public Date getCreated() {
        return created;
    }

    public void setCreated(Date created) {
        this.created = created;
    }

    public Date getExpiration() {
        return expiration;
    }

    public void setExpiration(Date expiration) {
        this.expiration = expiration;
    }

    public String getFrom() {
        return from;
    }

    public void setFrom(String from) {
        this.from = from;
    }

    public String getMetadataPrefix() {
        return metadataPrefix;
    }

    public void setMetadataPrefix(String metadataPrefix) {
        this.metadataPrefix = metadataPrefix;
    }

    public String getSet() {
        return set;
    }

    public void setSet(String set) {
        this.set = set;
    }

    public String getUntil() {
        return until;
    }

    public void setUntil(String until) {
        this.until = until;
    }

    public BigInteger getCursor() {
        return cursor;
    }

    public void setCursor(BigInteger cursor) {
        this.cursor = cursor;
    }

    public int getPage() {
        return page;
    }

    public void setPage(int page) {
        this.page = page;
    }

    public int getMaximumNumberOfDeliveredIdentifiers() {
        return maximumNumberOfDeliveredIdentifiers;
    }

    public void setMaximumNumberOfDeliveredIdentifiers(int maximumNumberOfDeliveredIdentifiers) {
        this.maximumNumberOfDeliveredIdentifiers = maximumNumberOfDeliveredIdentifiers;
    }

    public List<Long> getIdentifiers() {
        return identifiers;
    }

    public void setIdentifiers(List<Long> identifiers) {
        this.identifiers = identifiers;
    }

    @Override
    public String toString() {
        return "ResumptionToken{" +
                "key='" + key + '\'' +
                ", created=" + created +
                ", expiration=" + expiration +
                ", from='" + from + '\'' +
                ", metadataPrefix='" + metadataPrefix + '\'' +
                ", set='" + set + '\'' +
                ", until='" + until + '\'' +
                ", cursor=" + cursor +
                ", page=" + page +
                ", maximumNumberOfDeliveredIdentifiers=" + maximumNumberOfDeliveredIdentifiers +
                ", identifiers=" + identifiers +
                '}';
    }
}
